Subject: bug#23771: Eliminating compiler warnings

From: Ken Brown <[email-masked]>
Date: Wed, 15 Jun 2016 21:41:58 -0400

On 6/15/2016 4:24 PM, Richard Stallman wrote:
> To clutter up the code to placate a finicky compiler is a change
> for the worse.  If the compiler is so finicky only because a special
> option asked it to be, why be massochistic?

I'm just using the warning options that are enabled by default for a 
build from a git checkout of the master branch.  In general, I think the 
warnings are useful.  But I agree that I went too far in trying to get 
rid of them all.  I'm now thinking that I should just live with the ones 
that can't be fixed without cluttering the code.  See my reply to Eli.

Ken